[Story] consistent order of statements in an item
Closed, ResolvedPublic

Description

As a user I want the statements in an item to be consistently ordered across items. The order should move more important/useful/general infos to the top.

Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher raised the priority of this task from to High.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 15 2015, 2:10 PM

We need to do more thinking here before implementation starts. How do we order? Viable options I have so far:

  • We have one big ordered list of all properties and this one list is applied to all items
  • We let people decide the order on each individual item.

Ordering per class in Wikibase is out.

I think users will vote for option 1. It's tempting. "All we need to do to solve the problem of the world not being in order is to have this discussion one time, then it will be solved forever." Years later new users will get frustrated because they have good arguments to change the order but their arguments can not be heard because this will "magically" change the order on all existing items and will make some longtime users upset. This boils down to the same arguments why Wikibase supports pineapple as a gender and a gender on vegetables: the world is not in order.

I suggest to:

  1. let people decide the order on each individual item.
  2. have a preferred order and position when (and only when) adding a new property to an item. This is similar to what the property suggester does. You can stick with the suggestion if it's fine or you simply don't care, but you don't have to.
Bene added a comment.May 18 2015, 10:45 AM

I agree with Thiemo that a fixed order defined in a central place (maybe even not on-wiki as a setting) is not a good idea. I like the idea of suggesting a position but I'm not sure on which data this suggestion should be based on? Having a fixed list defined for suggestions seems not as a good idea per the argument agains #1. As you mentioned property suggester, we might use the positioning on other items for such a suggestion but as there is no common order in place at the moment, we first have to order a bunch of items so that this would produce useful data.

What we might consider is a bot which runs once over all items and orders the statements but then lets the users decide if they want to change the order. This has to be dicussed with the community.

Another thing we should think about is ordering the statements by datatype. This makes sense for the identifier datatype (obviously) but also the other statements can be grouped by datatype.

A final aspect I have in mind is to recognize qualifiers for ordering. This applies for several statements for one property id, for example a list of presidents, where they should be ordered by start/end data. However, this should perhaps also be done by a bot rather than by Wikibase itself.

Hjfocs added a subscriber: Hjfocs.Jul 20 2015, 8:16 AM

At Wikimania we discussed that if T102792#1475196 worked out we would implement it as a weight property on properties via which the software then sorts the properties globally.

JanZerebecki lowered the priority of this task from High to Normal.Jul 23 2015, 3:06 PM
Jonas renamed this task from make it possible to order statements in an item to [Story] make it possible to order statements in an item.Aug 13 2015, 4:46 PM
Lydia_Pintscher renamed this task from [Story] make it possible to order statements in an item to [Story] consistent order of statements in an item.Mar 9 2016, 1:58 PM
Lydia_Pintscher updated the task description. (Show Details)
thiemowmde moved this task from Proposed to Done on the Wikidata-Former-Sprint-Board board.
thiemowmde closed this task as Resolved.
thiemowmde claimed this task.